DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# Greater

Compare grey values in two images

## SYNOPSIS

dip_Error dip_Greater ( in1, in2, out )

## DATA TYPES

binary, integer, float

## FUNCTION

This function sets each pixel in `out` to "true" when for corresponding pixels `in1` > `in2`. This is the same as `Compare` with the `DIP_SELECT_GREATER` selector flag.

`in2` can be a 0D image for comparison of pixel values with a single scalar value. This leads to a functionality similar to that of `Threshold`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in1` | First input
`dip_Image` | `in2` | Second input
`dip_Image` | `out` | Output

## SEE ALSO

`Compare`, `Threshold`, `Equal`, `Lesser`, `NotEqual`, `NotGreater`, `NotLesser`, `SelectValue`, `NotZero`